#include <Arduino.h>

#include <Wire.h>


#define PWM_1 0
#define PWM_2 1
#define Constant_1 2
#define Constant_2 3

int var;

void Motor_func();

void setup()
{
    pinMode(PWM_1, OUTPUT);
    pinMode(PWM_2, OUTPUT);
    pinMode(Constant_1, OUTPUT);
    pinMode(Constant_2, OUTPUT);
    PORTB_PIN0CTRL |= PORT_PULLUPEN_bm;
    PORTB_PIN1CTRL |= PORT_PULLUPEN_bm;
    Wire.begin(2);
    Serial.begin(9600);
    Wire.onReceive(Motor_func);
}

void loop()
{
    delay(1000);
}

void Motor_func()
{
    while (Wire.available())
    {
        var = Wire.read();
        Serial.print(var);

        if (var == 1)
        {
            analogWrite(PWM_1, 255);
            digitalWrite(Constant_1, LOW);

            analogWrite(PWM_2, 255);
            digitalWrite(Constant_2, LOW);
        }
        if (var == 0)
        {
            analogWrite(PWM_1, 0);
            digitalWrite(Constant_1, LOW);

            analogWrite(PWM_2, 0);
            digitalWrite(Constant_2, LOW);
        }
    }
}